cascading.flow.stream.element

## Class GroupingSpliceGate.DelegatedTuple

- java.lang.Object
- - cascading.tuple.Tuple
  - - cascading.flow.stream.element.GroupingSpliceGate.DelegatedTuple

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.lang.Object>, java.lang.Iterable<java.lang.Object>
  Enclosing class:
    GroupingSpliceGate

      protected class GroupingSpliceGate.DelegatedTuple
      extends Tuple

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.tuple.Tuple

      `elements, isUnmodifiable, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupingSpliceGate.DelegatedTuple(Tuple wrapped)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object other)` Method compareTo implements the `Comparable.compareTo(Object)` method.
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`

    - ### Methods inherited from class cascading.tuple.Tuple

      `add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, elements, format, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, internalSet, isEmpty, isUnmodifiable, iterator, leave, print, printTo, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupingSpliceGate.DelegatedTuple

          public GroupingSpliceGate.DelegatedTuple(Tuple wrapped)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `Tuple`

    - #### compareTo

          public int compareTo(java.lang.Object other)

      Description copied from class: `Tuple`
      Method compareTo implements the `Comparable.compareTo(Object)` method.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.Object>`
      Overrides:
        `compareTo` in class `Tuple`
      Parameters:
        `other` - of type Object
      Returns:
        int

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Tuple`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.